Storyden
Threads

Mark a thread as read or unread for the authenticated member.

Updates only the authenticated member's read status. Marking unread preserves an existing last-read timestamp and new-reply count. Marking read advances the timestamp and clears the explicit unread marker. A later visit or successful reply marks the thread as read again.

PATCH
/threads/{thread_mark}/read-status

Updates only the authenticated member's read status. Marking unread preserves an existing last-read timestamp and new-reply count. Marking read advances the timestamp and clears the explicit unread marker. A later visit or successful reply marks the thread as read again.

Authorization

cookiestoryden-session<token>

Path Parameters

thread_mark*string

Thread unique and permanent identifier.

Formatxid-prefixed-kebab-case-string

Request Body

application/json
  1. body
status*string
Value in"read""unread"

Response Body

The member's updated read status.

application/json
  1. response

Information about the read status of a thread for the requesting authenticated user. If the user is not authenticated or they have not read the thread before, this will not be included in the Thread object.

last_read_at*string

When requested by an authenticated account, shows the last time they last read the thread at.

Formatdate-time
replies_since*integer

When requested by an authenticated account, shows the number of new replies since they last read the thread.

marked_unread_at?string

When the member explicitly marked this thread unread. Absent when there is no explicit unread marker. This does not reset last_read_at or replies_since. For a previously untracked thread, last_read_at is initialised to the same timestamp as this marker.

Formatdate-time
Example Request
curl -X PATCH 'https://example.com/api/threads/string/read-status' \  -H 'Content-Type: application/json' \  -d '{  "status": "read"}'
Example Response
{  "last_read_at": "2019-08-24T14:15:22Z",  "replies_since": 0,  "marked_unread_at": "2019-08-24T14:15:22Z"}